%define name	synce-software-manager
%define version	0.9.0
%define release	%mkrel 2

%define __libtoolize    /bin/true


Summary: 	SynCE: Software manager for Windows mobile devices.
Name: 		%{name}
Version: 	0.9.0
Release: 	%{release}
License: 	MIT LGPL
Group: 		Communications
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://synce.sourceforge.net/
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	libsynce-devel >= 0.9.0
BuildRequires:	gtk2-devel libgnomeui2-devel libglade2.0-devel
BuildRequires:	librapi-devel

%description
Graphical tool for installing and removing software on a Windows CE mobile device.

%prep
%setup -q

%build

%configure2_5x \
  --with-librapi2-include=%{_includedir} \
  --with-librapi2-lib=%{_libdir}

%make

%install
rm -fr %buildroot
%makeinstall
%find_lang %name

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
cat > $RPM_BUILD_ROOT/%{_datadir}/applications/pclinuxos-%{name}.desktop <<EOF
[Desktop Entry]
Name=Synce-software-manager
Comment=Software manager for WinCE windows mobile devices
Exec=%_bindir/%{name}
Icon=communications_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-Communications-Phone;Network;Telephony;
EOF

%clean
rm -fr %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_bindir}/*
%{_datadir}/synce/synce_software_manager.glade
%{_datadir}/applications/pclinuxos-%{name}.desktop


%changelog
* Sat Jan 09 2010 Texstar <texstar at gmail.com> 0.9.0-2pclos2010
- rebuild

* Sat Mar 09 2009 travisn000 <travisn000@gmail.com> 0.9.0-1pclos2009
- Rebuild for PCLOS

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.0-5mdv2009.0
+ Revision: 242849
- rebuild

